/*
copyV.cu (CUDA)

entry point
*/

#include "oth.h"
#include "oth_cuda.h"
#include "oth_prototype.h"

void copyV(cuDoubleComplex *v)
{
	if (Pbc.xpbc) {
		copyXpbc(v);
		factorXpbc(v);
	}

	if (Pbc.ypbc) {
		copyYpbc(v);
		factorYpbc(v);
	}

	if (Pbc.zpbc) {
		copyZpbc(v);
		factorZpbc(v);
	}
}
